client.stub.iaccessi

## Class ObjectFactory

- java.lang.Object
- - client.stub.iaccessi.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the client.stub.iaccessi package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: client.stub.iaccessi

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessLog` | `createAccessLog()` Create an instance of `AccessLog`
    `AccessLogEntry` | `createAccessLogEntry()` Create an instance of `AccessLogEntry`
    `AccessLogQuery` | `createAccessLogQuery()` Create an instance of `AccessLogQuery`
    `DocumentURI` | `createDocumentURI()` Create an instance of `DocumentURI`
    `GetAccessLog` | `createGetAccessLog()` Create an instance of `GetAccessLog`
    `JAXBElement<GetAccessLog>` | `createGetAccessLog(GetAccessLog value)` Create an instance of `JAXBElement``<``GetAccessLog``>`
    `GetAccessLogResponse` | `createGetAccessLogResponse()` Create an instance of `GetAccessLogResponse`
    `JAXBElement<GetAccessLogResponse>` | `createGetAccessLogResponse(GetAccessLogResponse value)` Create an instance of `JAXBElement``<``GetAccessLogResponse``>`
    `WriteAccessLog` | `createWriteAccessLog()` Create an instance of `WriteAccessLog`
    `JAXBElement<WriteAccessLog>` | `createWriteAccessLog(WriteAccessLog value)` Create an instance of `JAXBElement``<``WriteAccessLog``>`
    `WriteAccessLogResponse` | `createWriteAccessLogResponse()` Create an instance of `WriteAccessLogResponse`
    `JAXBElement<WriteAccessLogResponse>` | `createWriteAccessLogResponse(WriteAccessLogResponse value)` Create an instance of `JAXBElement``<``WriteAccessLogResponse``>`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: client.stub.iaccessi

  - ### Method Detail

    - #### createGetAccessLog

          public GetAccessLog createGetAccessLog()

      Create an instance of `GetAccessLog`

    - #### createGetAccessLogResponse

          public GetAccessLogResponse createGetAccessLogResponse()

      Create an instance of `GetAccessLogResponse`

    - #### createWriteAccessLog

          public WriteAccessLog createWriteAccessLog()

      Create an instance of `WriteAccessLog`

    - #### createWriteAccessLogResponse

          public WriteAccessLogResponse createWriteAccessLogResponse()

      Create an instance of `WriteAccessLogResponse`

    - #### createAccessLogEntry

          public AccessLogEntry createAccessLogEntry()

      Create an instance of `AccessLogEntry`

    - #### createAccessLogQuery

          public AccessLogQuery createAccessLogQuery()

      Create an instance of `AccessLogQuery`

    - #### createAccessLog

          public AccessLog createAccessLog()

      Create an instance of `AccessLog`

    - #### createDocumentURI

          public DocumentURI createDocumentURI()

      Create an instance of `DocumentURI`

    - #### createGetAccessLog

          public JAXBElement<GetAccessLog> createGetAccessLog(GetAccessLog value)

      Create an instance of `JAXBElement``<``GetAccessLog``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``GetAccessLog``>`

    - #### createGetAccessLogResponse

          public JAXBElement<GetAccessLogResponse> createGetAccessLogResponse(GetAccessLogResponse value)

      Create an instance of `JAXBElement``<``GetAccessLogResponse``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``GetAccessLogResponse``>`

    - #### createWriteAccessLog

          public JAXBElement<WriteAccessLog> createWriteAccessLog(WriteAccessLog value)

      Create an instance of `JAXBElement``<``WriteAccessLog``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``WriteAccessLog``>`

    - #### createWriteAccessLogResponse

          public JAXBElement<WriteAccessLogResponse> createWriteAccessLogResponse(WriteAccessLogResponse value)

      Create an instance of `JAXBElement``<``WriteAccessLogResponse``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``WriteAccessLogResponse``>`

Copyright © 2024. All rights reserved.